<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Welcome extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/userguide3/general/urls.html
	 */
	 
	 function __construct(){
	     parent::__construct();
        $this->load->model('admin/registermodel');
    }

	public function index()
	{
		$this->load->view('welcome_message');
	}
	
	public function dummy_api(){
    $users = $this->registermodel->common_fetch_select('users',['status' => 1,'delete_status' => 1,'name!=' => ''],'id,name,mobile,email',['id','mobile']);
    echo '<pre>';
    print_r(json_encode($users));
    echo '</pre>';
	}

}
